Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602067 - V2V fails to generate OVF file
V2V fails to generate OVF file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v (Show other bugs)
5.5
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 01:03 EDT by Rita Wu
Modified: 2013-07-02 21:40 EDT (History)
9 users (show)

See Also:
Fixed In Version: 0.6.0-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 08:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2010:0495 normal SHIPPED_LIVE new package: virt-v2v 2010-06-22 08:48:39 EDT

  None (edit)
Description Rita Wu 2010-06-09 01:03:57 EDT
Description of problem:
Now v2v will create a tmp dir to save the converting images, after finishing conversion, v2v will move the images in tmp dir to "Image" dir, but fails to geneate OVF file in master/vms/xxxxx dir.

Version-Release number of selected component (if applicable):
virt-v2v-0.6.0-4.el5

How reproducible:
100%

Steps to Reproduce:
1.Run v2v to convert image to RHEV
2.Check whether the converted image  existed in "Storage=>export storage=>VM Import"
3.There is nothing in "VM Import"
4. Go to export storage to check there is no OVF file in the correspondent dir:
# pwd
/rhev/data-center/mnt/10.66.90.115:_vol_v2vwulinglu_wulingluv2v_fcp__export/b0003790-8d93-4b9d-9e11-ddeec00a5b4d/master/vms/22866d5a-f7ca-45f6-81a0-ce82d2c540c0

[root@amd-1352-8-1 22866d5a-f7ca-45f6-81a0-ce82d2c540c0]# ls 

[root@amd-1352-8-1 22866d5a-f7ca-45f6-81a0-ce82d2c540c0]# 


  
Actual results:
V2V fails to generate OVF file 

Expected results:
V2V can generate OVF file

Additional info:

the dir in export storage 
# ls
dom_md  images  master  v2v.vlYGhgC4
Comment 2 Rita Wu 2010-06-09 01:21:35 EDT
in commit : RHEV: Cleanup volumes on unclean shutdown
------------------------------------------------------------------
--- a/lib/Sys/VirtV2V/Target/RHEV.pm
+++ b/lib/Sys/VirtV2V/Target/RHEV.pm
@@ -669,6 +724,8 @@ EOF
                                     dir => $dir,
                                     error => $!)));
 
+        return Sys::VirtV2V::Target::RHEV::Vol->_move_vols();
+
         my $vm;
         my $ovfpath = $dir.'/'.$vmuuid.'.ovf';
         open($vm, '>', $ovfpath)
------------------------------------------------------------------
it returns before write ovf file, so ovf file won't be generated.
Comment 4 Matthew Booth 2010-06-09 05:42:22 EDT
Fixed in 0.6.0-5.el5
Comment 5 Rita Wu 2010-06-09 08:51:09 EDT
Verified in 0.6.0-5.el5 . Now v2v can generate OVF file to let RHEVM identify the converted guests.
Comment 7 Tomas Edwardsson 2010-06-18 05:56:25 EDT
Where can I access 0.6.0-5 version for testing?

I have access to the Beta channel but am still on 0.6.0-1
Comment 8 Matthew Booth 2010-06-18 06:56:23 EDT
(In reply to comment #7)
> Where can I access 0.6.0-5 version for testing?
> 
> I have access to the Beta channel but am still on 0.6.0-1    

Unfortunately I don't think it's possible to access these internal builds until they're pushed to RHN (Beta or otherwise). I think the current build is about ready for a push, so hopefully sometime soon.
Comment 10 errata-xmlrpc 2010-06-22 08:48:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0495.html

Note You need to log in before you can comment on or make changes to this bug.